Bug 1281955 - libxml2: Multiple out-of-bounds reads in xmlDictComputeFastKey.isra.2 and xmlDictAddString.isra.O
Summary: libxml2: Multiple out-of-bounds reads in xmlDictComputeFastKey.isra.2 and xml...
Keywords:
Status: CLOSED DUPLICATE of bug 1274222
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1284794 1286495 1286496 1286497
Blocks: 1274223 1281961
TreeView+ depends on / blocked
 
Reported: 2015-11-13 21:55 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-01 10:00:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2549 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 15:13:44 UTC
Red Hat Product Errata RHSA-2015:2550 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 16:59:33 UTC

Description Adam Mariš 2015-11-13 21:55:43 UTC
Multiple out-of-bounds reads were found in libxml2.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=757699

Comment 2 Adam Mariš 2015-11-19 11:34:24 UTC
Acknowledgments:

Red Hat would like to thank GNOME project for reporting this issue.
Upstream acknowledges Gustavo Grieco as the original reporter.

Comment 6 Daniel Veillard 2015-11-30 08:00:49 UTC
This is fixed by the 2 patches for CVE-2015-7941

Daniel

Comment 7 Huzaifa S. Sidhpurwala 2015-12-01 10:00:36 UTC

*** This bug has been marked as a duplicate of bug 1274222 ***

Comment 8 errata-xmlrpc 2015-12-07 10:15:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html

Comment 9 errata-xmlrpc 2015-12-07 12:01:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html


Note You need to log in before you can comment on or make changes to this bug.